Bug 36623 - java hangs when using java -version with jdk1.3.1RC1
java hangs when using java -version with jdk1.3.1RC1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 04:53 EDT by Knut J BJuland
Modified: 2016-11-24 09:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-19 10:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2001-04-19 04:53:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-ac9 i686)


java rc1 does not work when I does not use export LD_ASSUME_KERNEL=2.2.5

Reproducible: Always
Steps to Reproduce:
1. type java -version
2.
3.
	

Actual Results:  An unexpected exception has been detected in native code
outside the VM.
Unexpected Signal : 11 occurred at PC=0x405ec10e
Function name=pthread_create
Library=/usr/lib/libpthread.so

Cannot obtain thread information

Dynamic libraries:
08048000-0804c000 r-xp 00000000 03:06 851444    
/usr/java/jdk1.3.1/bin/i386/native_threads/java
0804c000-0804d000 rw-p 00003000 03:06 851444    
/usr/java/jdk1.3.1/bin/i386/native_threads/java
40000000-40016000 r-xp 00000000 03:06 392838     /lib/ld-2.2.2.so
40016000-40017000 rw-p 00015000 03:06 392838     /lib/ld-2.2.2.so
40018000-40029000 r-xp 00000000 03:06 361426    
/usr/java/jdk1.3.1/jre/lib/i386/libverify.so
40029000-4002b000 rw-p 00010000 03:06 361426    
/usr/java/jdk1.3.1/jre/lib/i386/libverify.so
4002e000-4003b000 r-xp 00000000 03:06 541774    
/lib/i686/libpthread-0.9.so
4003b000-40043000 rw-p 0000c000 03:06 541774    
/lib/i686/libpthread-0.9.so
40043000-4004c000 r-xp 00000000 03:06 1325164   
/usr/java/jdk1.3.1/jre/lib/i386/native_threads/libhpi.so
4004c000-4004d000 rw-p 00008000 03:06 1325164   
/usr/java/jdk1.3.1/jre/lib/i386/native_threads/libhpi.so
4004d000-402b4000 r-xp 00000000 03:06 426375    
/usr/java/jdk1.3.1/jre/lib/i386/client/libjvm.so
402b4000-4041a000 rw-p 00266000 03:06 426375    
/usr/java/jdk1.3.1/jre/lib/i386/client/libjvm.so
40431000-40434000 r-xp 00000000 03:06 394010     /lib/libdl-2.2.2.so
40434000-40435000 rw-p 00002000 03:06 394010     /lib/libdl-2.2.2.so
40435000-4055b000 r-xp 00000000 03:06 541772     /lib/i686/libc-2.2.2.so
4055b000-40561000 rw-p 00125000 03:06 541772     /lib/i686/libc-2.2.2.so
40565000-40578000 r-xp 00000000 03:06 394012     /lib/libnsl-2.2.2.so
40578000-4057a000 rw-p 00012000 03:06 394012     /lib/libnsl-2.2.2.so
4057c000-4059f000 r-xp 00000000 03:06 541773     /lib/i686/libm-2.2.2.so
4059f000-405a0000 rw-p 00022000 03:06 541773     /lib/i686/libm-2.2.2.so
405a1000-405d5000 r-xp 00000000 03:06 754006    
/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
405d5000-405e1000 rw-p 00033000 03:06 754006    
/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
405e3000-405f2000 r-xp 00000000 03:06 392490     /lib/libpthread-0.9.so
405f2000-405fa000 rw-p 0000e000 03:06 392490     /lib/libpthread-0.9.so
405fa000-4061b000 r-xp 00000000 03:06 361417    
/usr/java/jdk1.3.1/jre/lib/i386/libjava.so
4061b000-4061d000 rw-p 00020000 03:06 361417    
/usr/java/jdk1.3.1/jre/lib/i386/libjava.so
4061e000-40632000 r-xp 00000000 03:06 361558    
/usr/java/jdk1.3.1/jre/lib/i386/libzip.so
40632000-40635000 rw-p 00013000 03:06 361558    
/usr/java/jdk1.3.1/jre/lib/i386/libzip.so
40635000-4134d000 r--s 00000000 03:06 949944    
/usr/java/jdk1.3.1/jre/lib/rt.jar
4137a000-4161f000 r--s 00000000 03:06 949926    
/usr/java/jdk1.3.1/jre/lib/i18n.jar
4161f000-41635000 r--s 00000000 03:06 949945    
/usr/java/jdk1.3.1/jre/lib/sunrsasign.jar

Local Time = Thu Apr 19 10:49:05 2001
Elapsed Time = 14
#
# The exception above was detected in native code outside the VM
#


****************
Another exception has been detected while we were handling last error.
Dumping information about last error:
ERROR REPORT FILE = (N/A)
PC                = 0x0x405ec10e
SIGNAL            = 11
FUNCTION NAME     = pthread_create
LIBRARY NAME      = /usr/lib/libpthread.so
Please check ERROR REPORT FILE for further information, if there is any.
Good bye.

Expected Results:  it show java version
Comment 1 Jakub Jelinek 2001-04-19 09:06:39 EDT
Please try
ln -sf /lib/i686/libpthread.so.0 /lib/i686/libpthread.so
/sbin/ldconfig
and retry.
Sun JDK 1.3.1 RC1 uses dlopen("libpthread.so", RTLD_LAZY); which leads into
two -lpthread instances in the main program.
Comment 2 Knut J BJuland 2001-04-19 10:34:03 EDT
Jdk 1.3.1 now works without export LD_ASSUME_KERNEL=2.2.5
Comment 3 Jakub Jelinek 2001-04-20 04:30:30 EDT
Closing. Not that NOTABUG is appropriate, but bugzilla does not have
NOTOURBUG (it is Sun JDK which is broken and needs to be fixed).

Note You need to log in before you can comment on or make changes to this bug.